declare const notificationsContainer: import("tailwind-variants").TVReturnType<{
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
}, {
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
}>, {
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
}, {
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
}>, unknown, unknown, undefined>>;
declare const notificationCard: import("tailwind-variants").TVReturnType<{
    [key: string]: {
        [key: string]: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
} | {
    [x: string]: {
        [x: string]: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
} | {
    placement: {
        "top-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
    base: {
        appearance: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
}, {
    base: string;
    message: string;
    customActions: string;
    customActionButton: string;
    closeButton: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
    base: {
        appearance: {
            info: string;
            success: string;
            warning: string;
            error: string;
        };
    };
}, {
    [key: string]: {
        [key: string]: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
} | {
    placement: {
        "top-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
    base: {
        appearance: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
}>, {
    [key: string]: {
        [key: string]: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
} | {
    placement: {
        "top-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
    base: {
        appearance: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
}, {
    base: string;
    message: string;
    customActions: string;
    customActionButton: string;
    closeButton: string;
}, import("tailwind-variants").TVReturnType<{
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
    base: {
        appearance: {
            info: string;
            success: string;
            warning: string;
            error: string;
        };
    };
}, {
    base: string;
    message: string;
    customActions: string;
    customActionButton: string;
    closeButton: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    placement: {
        "top-left": string;
        "top-center": string;
        "top-right": string;
        "bottom-left": string;
        "bottom-center": string;
        "bottom-right": string;
    };
    base: {
        appearance: {
            info: string;
            success: string;
            warning: string;
            error: string;
        };
    };
}, {
    [key: string]: {
        [key: string]: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
} | {
    placement: {
        "top-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "top-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-left": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-center": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
        "bottom-right": import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
    base: {
        appearance: import("tailwind-variants").ClassValue | {
            base?: import("tailwind-variants").ClassValue;
            message?: import("tailwind-variants").ClassValue;
            customActions?: import("tailwind-variants").ClassValue;
            customActionButton?: import("tailwind-variants").ClassValue;
            closeButton?: import("tailwind-variants").ClassValue;
        };
    };
}>, unknown, unknown, undefined>>;
declare const closeButton: import("tailwind-variants").TVReturnType<{
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, {
    base: string;
    icon: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, {
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}>, {
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, {
    base: string;
    icon: string;
}, import("tailwind-variants").TVReturnType<{
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, {
    base: string;
    icon: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, {
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}>, unknown, unknown, undefined>>;
declare const button: import("tailwind-variants").TVReturnType<{
    appearance: {
        default: string;
        outlined: string;
        minimal: string;
        custom: string;
    };
    intent: {
        default: string;
        primary: string;
        success: string;
        warning: string;
        danger: string;
    };
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    appearance: {
        default: string;
        outlined: string;
        minimal: string;
        custom: string;
    };
    intent: {
        default: string;
        primary: string;
        success: string;
        warning: string;
        danger: string;
    };
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, {
    appearance: {
        default: string;
        outlined: string;
        minimal: string;
        custom: string;
    };
    intent: {
        default: string;
        primary: string;
        success: string;
        warning: string;
        danger: string;
    };
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}>, {
    appearance: {
        default: string;
        outlined: string;
        minimal: string;
        custom: string;
    };
    intent: {
        default: string;
        primary: string;
        success: string;
        warning: string;
        danger: string;
    };
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    appearance: {
        default: string;
        outlined: string;
        minimal: string;
        custom: string;
    };
    intent: {
        default: string;
        primary: string;
        success: string;
        warning: string;
        danger: string;
    };
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    appearance: {
        default: string;
        outlined: string;
        minimal: string;
        custom: string;
    };
    intent: {
        default: string;
        primary: string;
        success: string;
        warning: string;
        danger: string;
    };
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, {
    appearance: {
        default: string;
        outlined: string;
        minimal: string;
        custom: string;
    };
    intent: {
        default: string;
        primary: string;
        success: string;
        warning: string;
        danger: string;
    };
    size: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}>, unknown, unknown, undefined>>;
export { notificationsContainer, notificationCard, closeButton, button };
